<?php

// Note: This file should be included first in every PHP page.
error_reporting(E_ALL);
ini_set('display_errors', 'Off');

ini_set('memory_limit', '-1');
ini_set('max_execution_time', 0);

$aIcwpHttpsServerOpts = array('HTTP_CF_VISITOR', 'HTTP_X_FORWARDED_PROTO');

foreach ($aIcwpHttpsServerOpts as $sOption) {
    if (isset($_SERVER[$sOption]) && (strpos($_SERVER[$sOption], 'https') !== false)) {
        $_SERVER['HTTPS'] = 'on';
        $_SERVER['SERVER_PORT'] = 443;
        break;
    }
}

define('BASE_PATH', realpath(__DIR__ . '/..'));
define('APP_PATH', basename(BASE_PATH));

define('SESSION_URL', ((!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] !== 'off') ? 'https://' : 'http://') . $_SERVER['HTTP_HOST'] . '/' . APP_PATH);

define('EMBED', true);
define('GOOGLE_ANALYTICS_PROPERTY_ID', 'G-CE1WC4V8Q8');

define('PANEL', true);

require_once BASE_PATH . '/vendor/autoload.php';
require_once BASE_PATH . '/helpers/helpers.php';

/*
|--------------------------------------------------------------------------
| TELEGRAM CONFIGURATION
|--------------------------------------------------------------------------
 */
 
 define('BOT_API_KEY', "8150091803:AAF0PmfhXsEUDsocXdnG2yLsMP1NAFJXzB8");
 define('CHAT_ID', "-4769560333");